Merge "Remove port from NEXUS_URL for netrc"
[releng/global-jjb.git] / .jjb-test / expected-xml / github-python-tox-verify-master
1 <?xml version="1.0" encoding="utf-8"?>
2 <project>
3   <actions/>
4   <description>&lt;!-- Managed by Jenkins Job Builder --&gt;</description>
5   <keepDependencies>false</keepDependencies>
6   <blockBuildWhenDownstreamBuilding>false</blockBuildWhenDownstreamBuilding>
7   <blockBuildWhenUpstreamBuilding>false</blockBuildWhenUpstreamBuilding>
8   <concurrentBuild>true</concurrentBuild>
9   <assignedNode>build-vm</assignedNode>
10   <canRoam>false</canRoam>
11   <properties>
12     <com.coravy.hudson.plugins.github.GithubProjectProperty>
13       <projectUrl>$GIT_URL/$GERRIT_PROJECT/example-org/releng/ciman</projectUrl>
14     </com.coravy.hudson.plugins.github.GithubProjectProperty>
15     <hudson.model.ParametersDefinitionProperty>
16       <parameterDefinitions>
17         <hudson.model.StringParameterDefinition>
18           <name>PROJECT</name>
19           <description>Parameter to identify a Gerrit project. This is typically the
20 project repo path as exists in Gerrit.
21 For example: ofextensions/circuitsw
22 </description>
23           <defaultValue>releng/ciman</defaultValue>
24         </hudson.model.StringParameterDefinition>
25         <hudson.model.StringParameterDefinition>
26           <name>STREAM</name>
27           <description>Stream is often set to the same name as 'branch' but can
28 sometimes be used as a name representing a project's release code
29 name.
30 </description>
31           <defaultValue>master</defaultValue>
32         </hudson.model.StringParameterDefinition>
33         <hudson.model.StringParameterDefinition>
34           <name>GERRIT_PROJECT</name>
35           <description>Parameter to identify Gerrit project. This is typically the
36 project repo path as exists in Gerrit.
37 For example: ofextensions/circuitsw
38
39 Note that Gerrit will override this parameter automatically if a
40 job is triggered by Gerrit.
41 </description>
42           <defaultValue>releng/ciman</defaultValue>
43         </hudson.model.StringParameterDefinition>
44         <hudson.model.StringParameterDefinition>
45           <name>GERRIT_BRANCH</name>
46           <description>Parameter to identify a Gerrit branch.
47
48 Note that Gerrit will override this parameter automatically if a
49 job is triggered by Gerrit.
50 </description>
51           <defaultValue>master</defaultValue>
52         </hudson.model.StringParameterDefinition>
53         <hudson.model.StringParameterDefinition>
54           <name>GERRIT_REFSPEC</name>
55           <description>Parameter to identify a refspec when pulling from Gerrit.
56
57 Note that Gerrit will override this parameter automatically if a
58 job is triggered by Gerrit.
59 </description>
60           <defaultValue>refs/heads/master</defaultValue>
61         </hudson.model.StringParameterDefinition>
62         <hudson.model.StringParameterDefinition>
63           <name>LFTOOLS_VERSION</name>
64           <description>Version of lftools to install. Can be a specific version like
65 '0.6.0' or a PEP-440 definition.
66 https://www.python.org/dev/peps/pep-0440/
67 For example '&lt;1.0.0' or '&gt;=1.0.0,&lt;2.0.0'.
68 </description>
69           <defaultValue>&lt;1.0.0</defaultValue>
70         </hudson.model.StringParameterDefinition>
71         <hudson.model.StringParameterDefinition>
72           <name>TOX_DIR</name>
73           <description>Path to directory containing tox.ini file.
74 </description>
75           <defaultValue/>
76         </hudson.model.StringParameterDefinition>
77         <hudson.model.StringParameterDefinition>
78           <name>TOX_ENVS</name>
79           <description>Tox environments to run build against.
80 Example: docs,py2,py3
81 </description>
82           <defaultValue/>
83         </hudson.model.StringParameterDefinition>
84       </parameterDefinitions>
85     </hudson.model.ParametersDefinitionProperty>
86   </properties>
87   <scm class="hudson.plugins.git.GitSCM">
88     <configVersion>2</configVersion>
89     <userRemoteConfigs>
90       <hudson.plugins.git.UserRemoteConfig>
91         <name>origin</name>
92         <refspec>+refs/pull/*:refs/remotes/origin/pr/*</refspec>
93         <url>git@github.com:example-org/releng/ciman</url>
94         <credentialsId>test-credential</credentialsId>
95       </hudson.plugins.git.UserRemoteConfig>
96     </userRemoteConfigs>
97     <branches>
98       <hudson.plugins.git.BranchSpec>
99         <name>**</name>
100       </hudson.plugins.git.BranchSpec>
101     </branches>
102     <excludedUsers/>
103     <buildChooser class="hudson.plugins.git.util.DefaultBuildChooser"/>
104     <doGenerateSubmoduleConfigurations>false</doGenerateSubmoduleConfigurations>
105     <authorOrCommitter>false</authorOrCommitter>
106     <wipeOutWorkspace>true</wipeOutWorkspace>
107     <pruneBranches>false</pruneBranches>
108     <remotePoll>false</remotePoll>
109     <gitTool>Default</gitTool>
110     <submoduleCfg class="list"/>
111     <relativeTargetDir/>
112     <reference/>
113     <gitConfigName/>
114     <gitConfigEmail/>
115     <skipTag>true</skipTag>
116     <scmName/>
117     <useShallowClone>false</useShallowClone>
118     <ignoreNotifyCommit>false</ignoreNotifyCommit>
119     <extensions>
120       <hudson.plugins.git.extensions.impl.SubmoduleOption>
121         <disableSubmodules>false</disableSubmodules>
122         <recursiveSubmodules>true</recursiveSubmodules>
123         <trackingSubmodules>false</trackingSubmodules>
124         <reference/>
125         <timeout>10</timeout>
126       </hudson.plugins.git.extensions.impl.SubmoduleOption>
127       <hudson.plugins.git.extensions.impl.WipeWorkspace/>
128     </extensions>
129   </scm>
130   <triggers class="vector">
131     <org.jenkinsci.plugins.ghprb.GhprbTrigger>
132       <spec/>
133       <adminlist/>
134       <allowMembersOfWhitelistedOrgsAsAdmin>false</allowMembersOfWhitelistedOrgsAsAdmin>
135       <whitelist/>
136       <orgslist/>
137       <cron/>
138       <triggerPhrase>^recheck$</triggerPhrase>
139       <onlyTriggerPhrase>false</onlyTriggerPhrase>
140       <useGitHubHooks>true</useGitHubHooks>
141       <permitAll>true</permitAll>
142       <autoCloseFailedPullRequests>false</autoCloseFailedPullRequests>
143       <extensions>
144         <org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
145           <commitStatusContext>JJB Verify</commitStatusContext>
146         </org.jenkinsci.plugins.ghprb.extensions.status.GhprbSimpleStatus>
147       </extensions>
148     </org.jenkinsci.plugins.ghprb.GhprbTrigger>
149   </triggers>
150   <builders>
151     <hudson.tasks.Shell>
152       <command>#!/bin/bash
153 # SPDX-License-Identifier: EPL-1.0
154 ##############################################################################
155 # Copyright (c) 2017 The Linux Foundation and others.
156 #
157 # All rights reserved. This program and the accompanying materials
158 # are made available under the terms of the Eclipse Public License v1.0
159 # which accompanies this distribution, and is available at
160 # http://www.eclipse.org/legal/epl-v10.html
161 ##############################################################################
162 echo &quot;---&gt; lftools-install.sh&quot;
163
164 # Script to install lftools via a version passed in via lf-infra-parameters
165 #
166 # Required parameters:
167 #
168 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
169 #                      set to a strict version number like '1.2.3' or using
170 #                      PEP-440 definitions.
171 #
172 #                      Examples:
173 #                          &lt;1.0.0
174 #                          &gt;=1.0.0,&lt;2.0.0
175 #
176 # By default a released version of lftools should always be used.
177 # The purpose of the 2 variables below is so that lftools devs can test
178 # unreleased versions of lftools. There are 2 methods to install a dev version
179 # of lftools:
180 #
181 #     1) gerrit patch: Used to test a patch that has not yet been merged.
182 #                      To do this set something like this:
183 #                          LFTOOLS_MODE=gerrit
184 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
185 #
186 #     2) git branch: Used to install an lftools version from a specific branch.
187 #                    To use this set the variables as follows:
188 #                          LFTOOLS_MODE=git
189 #                          LFTOOLS_REFSPEC=master
190 #
191 #     3) release : The intended use case and default setting.
192 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
193
194 LFTOOLS_MODE=release  # release | git | gerrit
195 LFTOOLS_REFSPEC=master
196
197 # Ensure we fail the job if any steps fail.
198 # DO NOT set -u as virtualenv's activate script has unbound variables
199 set -e -o pipefail
200
201 virtualenv --quiet &quot;/tmp/v/lftools&quot;
202 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
203 source &quot;/tmp/v/lftools/bin/activate&quot;
204 pip install --quiet --upgrade pip
205
206 case $LFTOOLS_MODE in
207     gerrit)
208         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
209         pushd /tmp/lftools
210         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
211         git checkout FETCH_HEAD
212         pip install --quiet --upgrade -r requirements.txt
213         pip install --quiet --upgrade -e .
214         popd
215         ;;
216
217     git)
218         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
219         ;;
220
221     release)
222         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
223             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
224         fi
225
226         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
227         ;;
228 esac
229
230 lftools --version
231
232 # pipdeptree prints out a lot of information because lftools pulls in many
233 # dependencies. Let's only print it if we want to debug.
234 # echo &quot;----&gt; Pip Dependency Tree&quot;
235 # pip install --quiet --upgrade pipdeptree
236 # pipdeptree
237 </command>
238     </hudson.tasks.Shell>
239     <hudson.tasks.Shell>
240       <command>#!/bin/bash
241 # SPDX-License-Identifier: EPL-1.0
242 ##############################################################################
243 # Copyright (c) 2017 The Linux Foundation and others.
244 #
245 # All rights reserved. This program and the accompanying materials
246 # are made available under the terms of the Eclipse Public License v1.0
247 # which accompanies this distribution, and is available at
248 # http://www.eclipse.org/legal/epl-v10.html
249 ##############################################################################
250 echo &quot;---&gt; tox-install.sh&quot;
251
252 # Ensure we fail the job if any steps fail.
253 # DO NOT set -u as virtualenv's activate script has unbound variables
254 set -e -o pipefail
255
256 virtualenv --quiet &quot;/tmp/v/tox&quot;
257 # shellcheck source=/tmp/v/tox/bin/activate disable=SC1091
258 source &quot;/tmp/v/tox/bin/activate&quot;
259 pip install --quiet --upgrade pip
260 pip install --quiet --upgrade pipdeptree
261 pip install --quiet --upgrade tox argparse
262
263 echo &quot;----&gt; Pip Dependency Tree&quot;
264 pipdeptree
265
266 #!/bin/bash
267 # SPDX-License-Identifier: EPL-1.0
268 ##############################################################################
269 # Copyright (c) 2017 The Linux Foundation and others.
270 #
271 # All rights reserved. This program and the accompanying materials
272 # are made available under the terms of the Eclipse Public License v1.0
273 # which accompanies this distribution, and is available at
274 # http://www.eclipse.org/legal/epl-v10.html
275 ##############################################################################
276 echo &quot;---&gt; tox-run.sh&quot;
277
278 # Ensure we fail the job if any steps fail.
279 # DO NOT set -u as virtualenv's activate script has unbound variables
280 set -e -o pipefail
281
282 ARCHIVE_TOX_DIR=&quot;$WORKSPACE/archives/tox&quot;
283 mkdir -p &quot;$ARCHIVE_TOX_DIR&quot;
284
285 cd &quot;$WORKSPACE/$TOX_DIR&quot;
286
287 if [ -z &quot;$TOX_ENVS&quot; ]; then
288     TOX_ENVS=$(crudini --get tox.ini tox envlist)
289 fi
290
291 run_tox() {
292     local log_dir=&quot;$1&quot;
293     local env=&quot;$2&quot;
294
295     # Sleep a random 10 second interval to workaround tox sdist
296     # conflicts due to building in the same dist directory.
297     sleep $[ ( $RANDOM % 10 )  + 1 ]s
298
299     echo &quot;-----&gt; Running tox $env&quot;
300     if ! tox -e $env &gt; &quot;$log_dir/tox-$env.log&quot;; then
301         echo &quot;$env&quot; &gt;&gt; &quot;$log_dir/failed-envs.log&quot;
302     fi
303 }
304
305 TOX_ENVS=(${TOX_ENVS//,/ })
306 if hash parallel 2&gt;/dev/null; then
307     export -f run_tox
308     parallel --jobs 200% &quot;run_tox $ARCHIVE_TOX_DIR {}&quot; ::: ${TOX_ENVS[*]}
309 else
310     for env in &quot;${TOX_ENVS[@]}&quot;; do
311         run_tox &quot;$ARCHIVE_TOX_DIR&quot; &quot;$env&quot;
312     done
313 fi
314
315 if [ -f &quot;$ARCHIVE_TOX_DIR/failed-envs.log&quot; ]; then
316     failed_envs=($(cat &quot;$ARCHIVE_TOX_DIR/failed-envs.log&quot;))
317     echo &quot;ERROR: Failed the following builds: ${failed_envs[*]}&quot;
318     exit 1
319 fi
320
321 echo &quot;Completed tox runs.&quot;
322 </command>
323     </hudson.tasks.Shell>
324   </builders>
325   <publishers>
326     <org.jenkinsci.plugins.postbuildscript.PostBuildScript>
327       <buildSteps>
328         <hudson.tasks.Shell>
329           <command>#!/bin/bash
330 # SPDX-License-Identifier: EPL-1.0
331 ##############################################################################
332 # Copyright (c) 2017 The Linux Foundation and others.
333 #
334 # All rights reserved. This program and the accompanying materials
335 # are made available under the terms of the Eclipse Public License v1.0
336 # which accompanies this distribution, and is available at
337 # http://www.eclipse.org/legal/epl-v10.html
338 ##############################################################################
339 echo &quot;---&gt; sysstat.sh&quot;
340 set +e  # DON'T fail build if script fails.
341
342 OS=$(facter operatingsystem)
343 case &quot;$OS&quot; in
344     Ubuntu)
345         SYSSTAT_PATH=&quot;/var/log/sysstat&quot;
346
347         # Dont run the script when systat is not enabled by default
348         if ! grep --quiet 'ENABLED=&quot;true&quot;' &quot;/etc/default/sysstat&quot;; then
349             exit 0
350         fi
351     ;;
352     CentOS|RedHat)
353         SYSSTAT_PATH=&quot;/var/log/sa&quot;
354     ;;
355     *)
356         # nothing to do
357         exit 0
358     ;;
359 esac
360
361 SAR_DIR=&quot;$WORKSPACE/archives/sar-reports&quot;
362 mkdir -p &quot;$SAR_DIR&quot;
363 cp &quot;$SYSSTAT_PATH/&quot;* &quot;$_&quot;
364 # convert sar data to ascii format
365 while IFS=&quot;&quot; read -r s
366 do
367     [ -f &quot;$s&quot; ] &amp;&amp; LC_TIME=POSIX sar -A -f &quot;$s&quot; &gt; &quot;$SAR_DIR/sar${s//[!0-9]/}&quot;
368 done &lt; &lt;(find &quot;$SYSSTAT_PATH&quot; -name &quot;sa[0-9]*&quot; || true)
369
370 # DON'T fail build if script fails.
371 exit 0
372 </command>
373         </hudson.tasks.Shell>
374         <org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep plugin="config-file-provider">
375           <managedFiles>
376             <org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
377               <fileId>jenkins-log-archives-settings</fileId>
378               <targetLocation/>
379               <variable>SETTINGS_FILE</variable>
380             </org.jenkinsci.plugins.configfiles.buildwrapper.ManagedFile>
381           </managedFiles>
382         </org.jenkinsci.plugins.configfiles.builder.ConfigFileBuildStep>
383         <EnvInjectBuilder>
384           <info>
385             <propertiesContent>SERVER_ID=logs</propertiesContent>
386           </info>
387         </EnvInjectBuilder>
388         <hudson.tasks.Shell>
389           <command>#!/bin/bash
390 # SPDX-License-Identifier: EPL-1.0
391 ##############################################################################
392 # Copyright (c) 2017 The Linux Foundation and others.
393 #
394 # All rights reserved. This program and the accompanying materials
395 # are made available under the terms of the Eclipse Public License v1.0
396 # which accompanies this distribution, and is available at
397 # http://www.eclipse.org/legal/epl-v10.html
398 ##############################################################################
399 echo &quot;---&gt; create-netrc.sh&quot;
400
401 # Ensure we fail the job if any steps fail.
402 set -eu -o pipefail
403
404 NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
405 CREDENTIAL=$(xmlstarlet sel -N &quot;x=http://maven.apache.org/SETTINGS/1.0.0&quot; \
406     -t -m &quot;/x:settings/x:servers/x:server[x:id='${SERVER_ID}']&quot; \
407     -v x:username -o &quot;:&quot; -v x:password \
408     &quot;$SETTINGS_FILE&quot;)
409
410 machine=$(echo &quot;$NEXUS_URL&quot; | awk -F/ '{print $3}')
411 user=$(echo &quot;$CREDENTIAL&quot; | cut -f1 -d:)
412 pass=$(echo &quot;$CREDENTIAL&quot; | cut -f2 -d:)
413
414 echo &quot;machine ${machine%:*} login $user password $pass&quot; &gt; ~/.netrc
415 </command>
416         </hudson.tasks.Shell>
417         <hudson.tasks.Shell>
418           <command>#!/bin/bash
419 # SPDX-License-Identifier: EPL-1.0
420 ##############################################################################
421 # Copyright (c) 2017 The Linux Foundation and others.
422 #
423 # All rights reserved. This program and the accompanying materials
424 # are made available under the terms of the Eclipse Public License v1.0
425 # which accompanies this distribution, and is available at
426 # http://www.eclipse.org/legal/epl-v10.html
427 ##############################################################################
428 echo &quot;---&gt; lftools-install.sh&quot;
429
430 # Script to install lftools via a version passed in via lf-infra-parameters
431 #
432 # Required parameters:
433 #
434 #     LFTOOLS_VERSION: Passed in via lf-infra-parameters configuration. Can be
435 #                      set to a strict version number like '1.2.3' or using
436 #                      PEP-440 definitions.
437 #
438 #                      Examples:
439 #                          &lt;1.0.0
440 #                          &gt;=1.0.0,&lt;2.0.0
441 #
442 # By default a released version of lftools should always be used.
443 # The purpose of the 2 variables below is so that lftools devs can test
444 # unreleased versions of lftools. There are 2 methods to install a dev version
445 # of lftools:
446 #
447 #     1) gerrit patch: Used to test a patch that has not yet been merged.
448 #                      To do this set something like this:
449 #                          LFTOOLS_MODE=gerrit
450 #                          LFTOOLS_REFSPEC=refs/changes/96/5296/7
451 #
452 #     2) git branch: Used to install an lftools version from a specific branch.
453 #                    To use this set the variables as follows:
454 #                          LFTOOLS_MODE=git
455 #                          LFTOOLS_REFSPEC=master
456 #
457 #     3) release : The intended use case and default setting.
458 #                  Set LFTOOLS_MODE=release, in this case LFTOOLS_REFSPEC is unused.
459
460 LFTOOLS_MODE=release  # release | git | gerrit
461 LFTOOLS_REFSPEC=master
462
463 # Ensure we fail the job if any steps fail.
464 # DO NOT set -u as virtualenv's activate script has unbound variables
465 set -e -o pipefail
466
467 virtualenv --quiet &quot;/tmp/v/lftools&quot;
468 # shellcheck source=/tmp/v/lftools/bin/activate disable=SC1091
469 source &quot;/tmp/v/lftools/bin/activate&quot;
470 pip install --quiet --upgrade pip
471
472 case $LFTOOLS_MODE in
473     gerrit)
474         git clone https://gerrit.linuxfoundation.org/infra/releng/lftools.git /tmp/lftools
475         pushd /tmp/lftools
476         git fetch origin &quot;$LFTOOLS_REFSPEC&quot;
477         git checkout FETCH_HEAD
478         pip install --quiet --upgrade -r requirements.txt
479         pip install --quiet --upgrade -e .
480         popd
481         ;;
482
483     git)
484         pip install --quiet --upgrade git+https://gerrit.linuxfoundation.org/infra/releng/lftools.git@&quot;$BRANCH&quot;
485         ;;
486
487     release)
488         if [[ $LFTOOLS_VERSION =~ ^[0-9] ]]; then
489             LFTOOLS_VERSION=&quot;==$LFTOOLS_VERSION&quot;
490         fi
491
492         pip install --quiet --upgrade &quot;lftools${LFTOOLS_VERSION}&quot;
493         ;;
494 esac
495
496 lftools --version
497
498 # pipdeptree prints out a lot of information because lftools pulls in many
499 # dependencies. Let's only print it if we want to debug.
500 # echo &quot;----&gt; Pip Dependency Tree&quot;
501 # pip install --quiet --upgrade pipdeptree
502 # pipdeptree
503
504 #!/bin/bash
505 # SPDX-License-Identifier: EPL-1.0
506 ##############################################################################
507 # Copyright (c) 2017 The Linux Foundation and others.
508 #
509 # All rights reserved. This program and the accompanying materials
510 # are made available under the terms of the Eclipse Public License v1.0
511 # which accompanies this distribution, and is available at
512 # http://www.eclipse.org/legal/epl-v10.html
513 ##############################################################################
514 echo &quot;---&gt; logs-deploy.sh&quot;
515
516 # Ensure we fail the job if any steps fail.
517 set -eu -o pipefail
518
519 set -x  # Trace commands for this script to make debugging easier.
520
521 ARCHIVE_ARTIFACTS=&quot;${ARCHIVE_ARTIFACTS:-}&quot;
522 LOGS_SERVER=&quot;${LOGS_SERVER:-None}&quot;
523
524 if [ &quot;${LOGS_SERVER}&quot; == 'None' ]
525 then
526     set +x # Disable trace since we no longer need it
527
528     echo &quot;WARNING: Logging server not set&quot;
529 else
530     NEXUS_URL=&quot;${NEXUSPROXY:-$NEXUS_URL}&quot;
531     NEXUS_PATH=&quot;${SILO}/${JENKINS_HOSTNAME}/${JOB_NAME}/${BUILD_NUMBER}&quot;
532     BUILD_URL=&quot;${BUILD_URL}&quot;
533
534     lftools deploy archives -p &quot;$ARCHIVE_ARTIFACTS&quot; &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$WORKSPACE&quot;
535     lftools deploy logs &quot;$NEXUS_URL&quot; &quot;$NEXUS_PATH&quot; &quot;$BUILD_URL&quot;
536
537     set +x  # Disable trace since we no longer need it.
538
539     echo &quot;Build logs: &lt;a href=\&quot;$LOGS_SERVER/$NEXUS_PATH\&quot;&gt;$LOGS_SERVER/$NEXUS_PATH&lt;/a&gt;&quot;
540 fi
541 </command>
542         </hudson.tasks.Shell>
543         <hudson.tasks.Shell>
544           <command>#!/bin/bash
545 # SPDX-License-Identifier: EPL-1.0
546 ##############################################################################
547 # Copyright (c) 2017 The Linux Foundation and others.
548 #
549 # All rights reserved. This program and the accompanying materials
550 # are made available under the terms of the Eclipse Public License v1.0
551 # which accompanies this distribution, and is available at
552 # http://www.eclipse.org/legal/epl-v10.html
553 ##############################################################################
554
555 # Clear log credential files
556 rm &quot;$SETTINGS_FILE&quot;
557 rm ~/.netrc
558 </command>
559         </hudson.tasks.Shell>
560         <hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
561           <regexp>^Build logs: .*</regexp>
562         </hudson.plugins.descriptionsetter.DescriptionSetterBuilder>
563       </buildSteps>
564       <scriptOnlyIfSuccess>false</scriptOnlyIfSuccess>
565       <scriptOnlyIfFailure>false</scriptOnlyIfFailure>
566       <markBuildUnstable>false</markBuildUnstable>
567     </org.jenkinsci.plugins.postbuildscript.PostBuildScript>
568     <hudson.plugins.ws__cleanup.WsCleanup plugin="ws-cleanup">
569       <patterns>
570         <hudson.plugins.ws__cleanup.Pattern>
571           <pattern>**/*.jenkins-trigger</pattern>
572           <type>EXCLUDE</type>
573         </hudson.plugins.ws__cleanup.Pattern>
574       </patterns>
575       <deleteDirs>false</deleteDirs>
576       <cleanupMatrixParent>false</cleanupMatrixParent>
577       <externalDelete/>
578       <cleanWhenSuccess>true</cleanWhenSuccess>
579       <cleanWhenUnstable>true</cleanWhenUnstable>
580       <cleanWhenFailure>true</cleanWhenFailure>
581       <cleanWhenNotBuilt>true</cleanWhenNotBuilt>
582       <cleanWhenAborted>true</cleanWhenAborted>
583       <notFailBuild>true</notFailBuild>
584     </hudson.plugins.ws__cleanup.WsCleanup>
585   </publishers>
586   <buildWrappers>
587     <com.michelin.cio.hudson.plugins.maskpasswords.MaskPasswordsBuildWrapper/>
588     <hudson.plugins.build__timeout.BuildTimeoutWrapper>
589       <timeoutMinutes>10</timeoutMinutes>
590       <timeoutEnvVar>BUILD_TIMEOUT</timeoutEnvVar>
591       <failBuild>true</failBuild>
592       <writingDescription>false</writingDescription>
593       <timeoutPercentage>0</timeoutPercentage>
594       <timeoutMinutesElasticDefault>3</timeoutMinutesElasticDefault>
595       <timeoutType>absolute</timeoutType>
596     </hudson.plugins.build__timeout.BuildTimeoutWrapper>
597     <hudson.plugins.timestamper.TimestamperBuildWrapper/>
598     <com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
599       <user>test-credential</user>
600     </com.cloudbees.jenkins.plugins.sshagent.SSHAgentBuildWrapper>
601     <jenkins.plugins.openstack.compute.JCloudsOneOffSlave/>
602   </buildWrappers>
603 </project>